diff -Nru astroid-1.6.5/ChangeLog astroid-2.0/ChangeLog
--- astroid-1.6.5/ChangeLog	2018-06-06 17:01:12.000000000 +0200
+++ astroid-2.0/ChangeLog	2018-07-15 09:17:55.000000000 +0200
@@ -1,77 +1,175 @@
-Change log for the astroid package (used to be astng)
-=====================================================
+===================
+astroid's ChangeLog
+===================
 
-2018-06-06 -- 1.6.5
+What's New in astroid 2.0?
+==========================
 
-  *  Don't propagate Uninferable objects when inferring BinOps
+Release Date: 2018-07-15
+   
+   * String representation of nodes takes in account precedence and associativity rules of operators.
+
+   * Fix loading files with `modutils.load_from_module` when
+     the path that contains it in `sys.path` is a symlink and
+     the file is contained in a symlinked folder.
+
+     Close #583
+
+   * Reworking of the numpy brain dealing with numerictypes
+     (use of inspect module to determine the class hierarchy of
+      numpy.core.numerictypes module)
+
+     Close PyCQA/pylint#2140
+
+   * Added inference support for starred nodes in for loops
+
+     Close #146
+
+   * Support unpacking for dicts in assignments
+
+     Close #268
+
+   * Add support for inferring functools.partial
+
+     Close #125
+
+   * Inference support for `dict.fromkeys`
+
+     Close #110
+
+   * `int()` builtin is inferred as returning integers.
 
-     Close PyCQA/pylint#2059
+     Close #150
 
-  *  Protect against passing lookup_class to non-class proxied objects
+   * `str()` builtin is inferred as returning strings.
 
-     In some cases the _proxied object points to another Instance, not to the
-     Class of an Instance node (usually this happens with enum and with our
-     hardcoded inference support for this library). Instead of getting a TypeError,
-     we check before if the _proxied matches what we expect.
+     Close #148
 
-     Found by #2080
+   * DescriptorBoundMethod has the correct number of arguments defined.
 
+   * Improvement of the numpy numeric types definition.
 
-2018-05-15 -- 1.6.4
+     Close PyCQA/pylint#1971
 
-   * Skip non-attrs specific attributes in attr wrapped classes. Close PyCQA/pylint#2055
+   * Subclasses of *property* are now interpreted as properties
 
-   * Add brain tip for numpy.sum. Close PyCQA/pylint#1558
+     Close PyCQA/pylint#1601
 
-   * deque.rotate has a default parameter. Close PyCQA/pylint#2013
+   * AsStringRegexpPredicate has been removed.
 
-2018-04-05 -- 1.6.3
+     Use transform predicates instead of it.
 
-   * Fixes nested namespace package import for old-style namespace packages
+   * Switched to using typed_ast for getting access to type comments
 
-   * Use .path for inferring a module's __path__ attribute. Close #528
+     As a side effect of this change, some nodes gained a new `type_annotation` attribute,
+     which, if the type comments were correctly parsed, should contain a node object
+     with the corresponding objects from the type comment.
 
-   * Improve the six urllib functions for Python 2 by setting them as instance attributes
+   * typing.X[...] and typing.NewType are inferred as classes instead of instances.
 
-    Because they were at the class level, we were considering them BoundMethods, resulting
-    in a too-many-function-args error when calling these functions.
-    Close PyCQA/pylint#1965
+   * Module.__path__ is now a list
 
-2018-03-16 -- 1.6.2
+     It used to be a string containing the path, but it doesn't reflect the situation
+     on Python, where it is actually a list.
+
+   * Fix a bug with namespace package's __path__ attribute.
+
+     Close #528
+
+   * Added brain tips for random.sample
+
+     Part of PyCQA/pylint#811
+
+   * Add brain tip for `issubclass` builtin
+
+     Close #101.
 
    * Fix submodule imports from six
 
-     Close PYCQA/pylint#1640
+     Close PyCQA/pylint#1640
+
+   * Fix missing __module__ and __qualname__ from class definition locals
+
+     Close PYCQA/pylint#1753
+
+   * Fix a crash when __annotations__ access a parent's __init__ that does not have arguments
+
+     Close #473
+
+   * Fix multiple objects sharing the same InferenceContext.path causing uninferable results
 
-   * Enhancement of brain_numpy by adding different types from
-     numpy.core.numerictypes
+     Close #483
+
+   * Fix improper modification of col_offset, lineno upon inference of builtin functions
+
+     Close PyCQA/pylint#1839
+
+   * Subprocess.Popen brain now knows of the args member
+
+     Close PyCQA/pylint#1860
+
+   * add move_to_end method to collections.OrderedDict brain
+
+     Close PyCQA/pylint#1872
+
+   * Include new hashlib classes added in python 3.6
 
    * Fix RecursionError for augmented assign
 
      Close #437, #447, #313, PyCQA/pylint#1642, PyCQA/pylint#1805, PyCQA/pylint#1854, PyCQA/pylint#1452
 
+   * Add missing attrs special attribute
 
-   * Stop most inference tip overwrites from happening by using
-     predicates on existing inference_tip transforms.
+     Close PyCQA/pylint#1884
 
-     Close #472
+   * Inference now understands the 'isinstance' builtin
 
-   * Add missing attrs special attribute
+     Close #98
 
-	 Close PyCQA/pylint#1884
+   * Stop duplicate nodes with the same key values
+     from appearing in dictionaries from dictionary unpacking.
+
+     Close PyCQA/pylint#1843
 
    * Fix ``contextlib.contextmanager`` inference for nested context managers
 
      Close #1699
 
+   * Implement inference for len builtin
 
-2018-01-23 -- 1.6.1
+     Close #112
 
-   * Fix a crash when __annotations__ access a parent's __init__ that does not have arguments
+   * Add qname method to Super object preventing potential errors in upstream
+     pylint
 
-     Close #473
+     Close #533
+
+   * Stop astroid from getting stuck in an infinite loop if a function shares
+   its name with its decorator
+
+     Close #375
+
+   * Fix issue with inherited __call__ improperly inferencing self
+
+     Close #PyCQA/pylint#2199
+
+   * Fix __call__ precedence for classes with custom metaclasses
+
+     Close PyCQA/pylint#2159
+
+   * Limit the maximum amount of interable result in an NodeNG.infer() call to
+    100 by default for performance issues with variables with large amounts of
+    possible values.
+
+    The max inferable value can be tuned by setting the `max_inferable_values` flag on
+    astroid.MANAGER.
+
+
+What's New in astroid 1.6.0?
+============================
+
+Release Date: 2017-12-15
 
-2017-12-15 -- 1.6.0
 
    * When verifying duplicates classes in MRO, ignore on-the-fly generated classes
 
@@ -125,11 +223,35 @@
 
       Close PyCQA/pylint#1530
 
+    * Fix inference for nested calls
+
     * Dunder class at method level is now inferred as the class of the method
 
       Close PyCQA/pylint#1328
 
-2017-06-03 -- 1.5.3
+    * Stop most inference tip overwrites from happening by using
+		predicates on existing inference_tip transforms.
+
+      Close #472
+
+    * Fix object.__new__(cls) calls in classmethods by using
+        a context which has the proper boundnode for the given
+        argument
+
+        Close #404
+
+    * Fix Pathlib type inference
+
+        Close PyCQA/pylint#224
+        Close PyCQA/pylint#1660
+
+
+
+What's New in astroid 1.5.3?
+============================
+
+Release Date: 2017-06-03
+
 
     * enum34 dependency is forced to be at least version 1.1.3. Fixes spurious
     bug related to enum classes being falsy in boolean context, which caused
@@ -145,14 +267,24 @@
     * Lock objects from ``threading`` module are now correctly recognised
       as context managers.
 
-2017-04-17 -- 1.5.2
+
+What's New in astroid 1.5.2?
+============================
+
+Release Date: 2017-04-17
+
 
    * Basic support for the class form of typing.NamedTuple
 
    * mro() can be computed for classes with old style classes in the hierarchy
 
 
-2017-04-13 -- 1.5.0
+
+What's New in astroid 1.5.0?
+============================
+
+Release Date: 2017-04-13
+
 
     * Arguments node gained a new attribute, ``kwonlyargs_annotations``
 
@@ -340,7 +472,12 @@
 
       Fixes #399. See PEP530 for details.
 
-2015-11-29 -- 1.4.1
+
+What's New in astroid 1.4.1?
+============================
+
+Release Date: 2015-11-29
+
 
     * Add support for handling Uninferable nodes when calling as_string
 
@@ -353,7 +490,12 @@
       Closes issue #270.
 
 
-2015-11-29 -- 1.4.0 
+
+What's New in astroid 1.4.0?
+============================
+
+Release Date: 2015-11-29
+ 
 
     * Class.getattr('__mro__') returns the actual MRO. Closes issue #128.
 
@@ -682,7 +824,12 @@
      
 
 
-2015-03-14 -- 1.3.6
+
+What's New in astroid 1.3.6?
+============================
+
+Release Date: 2015-03-14
+
 
     * Class.slots raises NotImplementedError for old style classes.
       Closes issue #67.
@@ -694,7 +841,12 @@
       in the resulting AST. Closes issue #82.
 
 
-2015-03-11 -- 1.3.5
+
+What's New in astroid 1.3.5?
+============================
+
+Release Date: 2015-03-11
+
 
     * Add the ability to optimize small ast subtrees,
       with the first use in the optimization of multiple
@@ -723,12 +875,22 @@
       Closes issue #36.
            
 
-2015-01-17 -- 1.3.4
+
+What's New in astroid 1.3.4?
+============================
+
+Release Date: 2015-01-17
+
 
     * Get the first element from the method list when obtaining
       the functions from nose.tools.trivial. Closes Pylint issue #448.
 
-2015-01-16 -- 1.3.3
+
+What's New in astroid 1.3.3?
+============================
+
+Release Date: 2015-01-16
+
 
     * Restore file_stream to a property, but deprecate it in favour of
       the newly added method Module.stream. By using a method instead of a
@@ -762,7 +924,12 @@
     * Add inference tips for nose.tools.
 
 
-2014-11-22 -- 1.3.2
+
+What's New in astroid 1.3.2?
+============================
+
+Release Date: 2014-11-22
+
 
     * Fixed a crash with invalid subscript index.
  
@@ -772,11 +939,21 @@
     * Allow more fine-grained control over C extension loading
       in the manager.
 
-2014-11-21 -- 1.3.1
+
+What's New in astroid 1.3.1?
+============================
+
+Release Date: 2014-11-21
+
    
     * Fixed a crash issue with the pytest brain module.
 
-2014-11-20 -- 1.3.0
+
+What's New in astroid 1.3.0?
+============================
+
+Release Date: 2014-11-20
+
 
     * Fix a maximum recursion error occurred during the inference,
       where statements with the same name weren't filtered properly.
@@ -823,7 +1000,12 @@
       `setup.py develop` now works correctly.
 
 
-2014-08-24 -- 1.2.1
+
+What's New in astroid 1.2.1?
+============================
+
+Release Date: 2014-08-24
+
 
     * Fix a crash occurred when inferring decorator call chain.
       Closes issue #42.
@@ -852,7 +1034,12 @@
     * Don't crash when trying to infer unbound object.__new__ call.
       Closes issue #11.
 
-2014-07-25  --  1.2.0
+
+What's New in astroid 1.2.0?
+============================
+
+Release Date: 2014-07-25
+
 
     * Function nodes can detect decorator call chain and see if they are
       decorated with builtin descriptors (`classmethod` and `staticmethod`).
@@ -885,7 +1072,12 @@
 
     * Add support in pylint-brain for understanding enum classes.
 
-2014-04-30  --  1.1.1
+
+What's New in astroid 1.1.1?
+============================
+
+Release Date: 2014-04-30
+
     * `Class.metaclass()` looks in ancestors when the current class
       does not define explicitly a metaclass.
 
@@ -893,7 +1085,12 @@
       known, and only return cached modules if both name and filepath
       match. Fixes pylint Bitbucket issue #136.
 
-2014-04-18  --  1.1.0
+
+What's New in astroid 1.1.0?
+============================
+
+Release Date: 2014-04-18
+
     * All class nodes are marked as new style classes for Py3k.
 
     * Add a `metaclass` function to `Class` nodes to
@@ -917,7 +1114,12 @@
 
 
 
-2013-10-18  --  1.0.1
+
+What's New in astroid 1.0.1?
+============================
+
+Release Date: 2013-10-18
+
     * fix py3k/windows installation issue (issue #4)
 
     * fix bug with namedtuple inference (issue #3)
@@ -929,7 +1131,12 @@
 
 
 
-2013-07-29  --  1.0.0
+
+What's New in astroid 1.0.0?
+=============================
+
+Release Date: 2013-07-29
+
     * Fix some omissions in py2stdlib's version of hashlib and
       add a small test for it.
 
@@ -952,7 +1159,12 @@
 
 
 
-2013-04-16  --  0.24.3
+
+What's New in astroid 0.24.3?
+=============================
+
+Release Date: 2013-04-16
+
     * #124360 [py3.3]: Don't crash on 'yield from' nodes
 
     * #123062 [pylint-brain]: Use correct names for keywords for urlparse
@@ -972,7 +1184,12 @@
 
 
 
-2013-02-27  --  0.24.2
+
+What's New in astroid 0.24.2?
+=============================
+
+Release Date: 2013-02-27
+
     * pylint-brain: more subprocess.Popen faking (see #46273)
 
     * #109562 [jython]: java modules have no __doc__, causing crash
@@ -983,7 +1200,12 @@
 
 
 
-2012-10-05  --  0.24.1
+
+What's New in astroid 0.24.1?
+=============================
+
+Release Date: 2012-10-05
+
     * #106191: fix __future__ absolute import w/ From node
 
     * #50395: fix function fromlineno when some decorator is splited on
@@ -999,7 +1221,12 @@
 
 
 
-2012-07-18  --  0.24.0
+
+What's New in astroid 0.24.0?
+=============================
+
+Release Date: 2012-07-18
+
     * include pylint brain extension, describing some stuff not properly understood until then.
       (#100013, #53049, #23986, #72355)
 
@@ -1009,7 +1236,12 @@
 
 
 
-2011-12-08  --  0.23.1
+
+What's New in astroid 0.23.1?
+=============================
+
+Release Date: 2011-12-08
+
     * #62295: avoid "OSError: Too many open files" by moving
       .file_stream as a Module property opening the file only when needed
 
@@ -1019,7 +1251,12 @@
 
 
 
-2011-10-07  --  0.23.0
+
+What's New in astroid 0.23.0?
+=============================
+
+Release Date: 2011-10-07
+
     * #77187: ancestor() only returns the first class when inheriting
       from two classes coming from the same module
 
@@ -1041,7 +1278,12 @@
 
 
 
-2011-07-18  --  0.22.0
+
+What's New in astroid 0.22.0?
+=============================
+
+Release Date: 2011-07-18
+
     * added column offset information on nodes (patch by fawce)
 
     * #70497: Crash on AttributeError: 'NoneType' object has no attribute '_infer_name'
@@ -1057,7 +1299,12 @@
 
 
 
-2011-01-11  --  0.21.1
+
+What's New in astroid 0.21.1?
+=============================
+
+Release Date: 2011-01-11
+
     * python3: handle file encoding; fix a lot of tests
 
     * fix #52006: "True" and "False" can be assigned as variable in Python2x
@@ -1076,7 +1323,12 @@
 
 
 
-2010-11-15  --  0.21.0
+
+What's New in astroid 0.21.0?
+=============================
+
+Release Date: 2010-11-15
+
     * python3.x: first python3.x release
 
     * fix #37105: Crash on AttributeError: 'NoneType' object has no attribute '_infer_name'
@@ -1085,7 +1337,12 @@
 
 
 
-2010-10-27  --  0.20.4
+
+What's New in astroid 0.20.4?
+=============================
+
+Release Date: 2010-10-27
+
     * fix #37868 #37665 #33638 #37909: import problems with absolute_import_activated
 
     * fix #8969: false positive when importing from zip-safe eggs
@@ -1098,7 +1355,12 @@
 
 
 
-2010-09-28  --  0.20.3
+
+What's New in astroid 0.20.3?
+=============================
+
+Release Date: 2010-09-28
+
     * restored python 2.3 compatibility
 
     * fix #45959: AttributeError: 'NoneType' object has no attribute 'frame', due
@@ -1107,7 +1369,12 @@
 
 
 
-2010-09-10  --  0.20.2
+
+What's New in astroid 0.20.2?
+=============================
+
+Release Date: 2010-09-10
+
     * fix astng building bug: we've to set module.package flag at the node
       creation time otherwise we'll miss this information when inferring relative
       import during the build process (this should fix for instance some problems
@@ -1121,7 +1388,12 @@
 
 
 
-2010-05-11  --  0.20.1
+
+What's New in astroid 0.20.1?
+=============================
+
+Release Date: 2010-05-11
+
     * fix licensing to LGPL
 
     * add ALL_NODES_CLASSES constant to nodes module
@@ -1133,7 +1405,12 @@
 
 
 
-2010-03-22  --  0.20.0
+
+What's New in astroid 0.20.0?
+=============================
+
+Release Date: 2010-03-22
+
     * fix #20464: raises ?TypeError: '_Yes' object is not iterable? on list inference
 
     * fix #19882: pylint hangs
@@ -1163,12 +1440,22 @@
 
 
 
-2009-12-18  --  0.19.3
+
+What's New in astroid 0.19.3?
+=============================
+
+Release Date: 2009-12-18
+
     * fix name error making 0.19.2 almost useless
 
 
 
-2009-12-18  --  0.19.2
+
+What's New in astroid 0.19.2?
+=============================
+
+Release Date: 2009-12-18
+
     * fix #18773: inference bug on class member (due to bad handling of instance
       / class nodes "bounded" to method calls)
 
@@ -1185,7 +1472,12 @@
 
 
 
-2009-08-27  --  0.19.1
+
+What's New in astroid 0.19.1?
+=============================
+
+Release Date: 2009-08-27
+
     * fix #8771: crash on yield expression
 
     * fix #10024: line numbering bug with try/except/finally
@@ -1198,7 +1490,12 @@
 
 
 
-2009-03-25  --  0.19.0
+
+What's New in astroid 0.19.0?
+=============================
+
+Release Date: 2009-03-25
+
     * fixed python 2.6 issue (tests ok w/ 2.4, 2.5, 2.6. Anyone using 2.2 / 2.3
       to tell us if it works?)
 
@@ -1208,7 +1505,12 @@
 
 
 
-2009-03-19  --  0.18.0
+
+What's New in astroid 0.18.0?
+=============================
+
+Release Date: 2009-03-19
+
     * major api / tree structure changes to make it works with compiler *and*
       python >= 2.5 _ast module
 
@@ -1216,7 +1518,12 @@
 
 
 
-2008-11-19  --  0.17.4
+
+What's New in astroid 0.17.4?
+=============================
+
+Release Date: 2008-11-19
+
     * fix #6015: filter statements bug triggering W0631 false positive in pylint
 
     * fix #5571: Function.is_method() should return False on module level
@@ -1226,7 +1533,12 @@
 
 
 
-2008-09-10  --  0.17.3
+
+What's New in astroid 0.17.3?
+=============================
+
+Release Date: 2008-09-10
+
     * fix #5889: astng crash on certain pyreverse projects
 
     * fix bug w/ loop assignment in .lookup
@@ -1236,7 +1548,12 @@
 
 
 
-2008-01-14  --  0.17.2
+
+What's New in astroid 0.17.2?
+=============================
+
+Release Date: 2008-01-14
+
     * "with" statement support, patch provided by Brian Hawthorne
 
     * fixed recursion arguments in nodes_of_class method as notified by
@@ -1247,7 +1564,12 @@
 
 
 
-2007-06-07  --  0.17.1
+
+What's New in astroid 0.17.1?
+=============================
+
+Release Date: 2007-06-07
+
     * fix #3651: crash when callable as default arg
 
     * fix #3670: subscription inference crash in some cases
@@ -1267,7 +1589,12 @@
 
 
 
-2007-02-22  --  0.17.0
+
+What's New in astroid 0.17.0?
+=============================
+
+Release Date: 2007-02-22
+
     * api change to be able to infer using a context (used to infer function call
       result only for now)
 
@@ -1288,13 +1615,23 @@
 
 
 
-2006-11-23  --  0.16.3
+
+What's New in astroid 0.16.3?
+=============================
+
+Release Date: 2006-11-23
+
     * enhance inference for the subscription notation (motivated by a patch from Amaury)
       and for unary sub/add
 
 
 
-2006-11-15  --  0.16.2
+
+What's New in astroid 0.16.2?
+=============================
+
+Release Date: 2006-11-15
+
     * grrr, fixed python 2.3 incompatibility introduced by generator expression
       scope handling
 
@@ -1305,7 +1642,12 @@
 
 
 
-2006-09-25  --  0.16.1
+
+What's New in astroid 0.16.1?
+=============================
+
+Release Date: 2006-09-25
+
     * python 2.5 support, patch provided by Marien Zwart
 
     * fix [Class|Module].block_range method (this fixes pylint's inline
@@ -1322,7 +1664,12 @@
 
 
 
-2006-04-19  --  0.16.0
+
+What's New in astroid 0.16.0?
+=============================
+
+Release Date: 2006-04-19
+
     * fix living object building to consider classes such as property as
       a class instead of a data descriptor
 
@@ -1333,14 +1680,24 @@
 
 
 
-2006-03-10  --  0.15.1
+
+What's New in astroid 0.15.1?
+=============================
+
+Release Date: 2006-03-10
+
     * fix avoiding to load everything from living objects... Thanks Amaury!
 
     * fix a possible NameError in Instance.infer_call_result
 
 
 
-2006-03-06  --  0.15.0
+
+What's New in astroid 0.15.0?
+=============================
+
+Release Date: 2006-03-06
+
     * fix possible infinite recursion on global statements (close #10342)
       and in various other cases...
 
@@ -1369,7 +1726,12 @@
 
 
 
-2006-01-10  --  0.14.0
+
+What's New in astroid 0.14.0?
+=============================
+
+Release Date: 2006-01-10
+
     * some major inference improvements and refactoring ! The drawback is
       the introduction of some non backward compatible change in the API
       but it's imho much cleaner and powerful now :)
@@ -1404,7 +1766,12 @@
 
 
 
-2005-11-07  --  0.13.1
+
+What's New in astroid 0.13.1?
+=============================
+
+Release Date: 2005-11-07
+
     * fix bug on building from living module the same object in
       encountered more than once time (e.g. builtins.object) (close #10069)
 
@@ -1429,7 +1796,12 @@
 
 
 
-2005-10-21  --  0.13.0
+
+What's New in astroid 0.13.0?
+=============================
+
+Release Date: 2005-10-21
+
     * .locals  and .globals on scoped node handle now a list of references
        to each assignment statements instead of a single reference to the
        first assignment statement.
@@ -1448,3 +1820,6 @@
       longer be maintained (this explains that this package is starting with
       the 0.13 version number, since the fork occurs with the version
       released in logilab-common 0.12).
+
+
+
diff -Nru astroid-1.6.5/debian/changelog astroid-2.0/debian/changelog
--- astroid-1.6.5/debian/changelog	2018-06-10 01:00:36.000000000 +0200
+++ astroid-2.0/debian/changelog	2018-07-17 16:43:55.000000000 +0200
@@ -1,3 +1,22 @@
+astroid (2.0-1) UNRELEASED; urgency=medium
+
+  * Team upload
+  * Drop git-dpm to fit the python team policy which is gbp.
+  * New upstream release 2.0; Closes: #902631
+  * debian/control
+    - bump Standards-Version to 4.1.5 (no changes needed)
+    - raise debhelper dependency to 11
+    - add pytest/pytest-runner build-dependencies
+  * debian/compat
+    - bump compat level to 11
+  * debian/patches
+    - Add patch 0001 to remove the setup_requires field of setup.py, the build
+      dependencies will be provided via Build-Depends: field.
+  * debian/copyright
+    - Update d/copyright authors, dates
+
+ -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 17 Jul 2018 16:43:55 +0200
+
 astroid (1.6.5-1) unstable; urgency=medium
 
   * New upstream release
diff -Nru astroid-1.6.5/debian/compat astroid-2.0/debian/compat
--- astroid-1.6.5/debian/compat	2018-06-10 01:00:36.000000000 +0200
+++ astroid-2.0/debian/compat	2018-07-17 16:43:55.000000000 +0200
@@ -1 +1 @@
-9
+11
diff -Nru astroid-1.6.5/debian/control astroid-2.0/debian/control
--- astroid-1.6.5/debian/control	2018-06-10 01:00:36.000000000 +0200
+++ astroid-2.0/debian/control	2018-07-17 16:43:55.000000000 +0200
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-wrapt, python3-wrapt, python-lazy-object-proxy, python3-lazy-object-proxy, python-singledispatch, python-enum34
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11.0.0), python, python3, dh-python, python-setuptools, python3-setuptools, python-nose, python3-nose, python-wrapt, python3-wrapt, python-lazy-object-proxy, python3-lazy-object-proxy, python-singledispatch, python-enum34, python-pytest, python3-pytest, python-pytest-runner, python3-pytest-runner
+Standards-Version: 4.1.5
 Homepage: http://www.astroid.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/astroid.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/astroid
diff -Nru astroid-1.6.5/debian/copyright astroid-2.0/debian/copyright
--- astroid-1.6.5/debian/copyright	2018-06-10 01:00:36.000000000 +0200
+++ astroid-2.0/debian/copyright	2018-07-17 16:43:55.000000000 +0200
@@ -1,29 +1,70 @@
 Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: astroid
 Source: http://www.astroid.org/
+Comment: For Connection1.py, see the M2Crypto license.
 
 Files: *
-Copyright: 2003-2015 Logilab <pylint-dev@lists.logilab.org>
+Copyright: 2013 - 2018 Claudiu Popa <pcmanticore@gmail.com>
+           2017 - 2018 Ashley Whetter <ashley@awhetter.co.uk>
+           2017 - 2018 Bryce Guinta <bryce.paul.guinta@gmail.com>
+           2017 - 2018 hippo91 <guillaume.peillex@gmail.com>
+           2018 Ahmed Azzaoui <ahmed.azzaoui@engie.com>
+           2018 Anthony Sottile <asottile@umich.edu>
+           2018 brendanator <brendan.maginnis@gmail.com>
+           2018 Daniel Colascione <dancol@dancol.org>
+           2018 HoverHell <hoverhell@gmail.com>
+           2018 Ioana Tagirta <ioana.tagirta@gmail.com>
+           2018 Mario Corchero <mcorcherojim@bloomberg.net>
+           2018 Nick Drozd <nicholasdrozd@gmail.com>
+           2015 - 2017 Ceridwen <ceridwenv@gmail.com>
+           2016 - 2017 Derek Gustafson <degustaf@gmail.com>
+           2017 Calen Pennington <calen.pennington@gmail.com>
+           2017 Chris Philip <chrisp533@gmail.com>
+           2017 David Euresti <david@dropbox.com>
+           2017 Hugo <hugovk@users.noreply.github.com>
+           2017 ioanatia <ioanatia@users.noreply.github.com>
+           2017 Iva Miholic <ivamiho@gmail.com>
+           2017 Łukasz Rogalski <rogalski.91@gmail.com>
+           2017 Michał Masłowski <m.maslowski@clearcode.cc>
+           2017 Roy Wright <roy@wright.org>
+           2017 rr- <rr-@sakuya.pl>
+           2003 - 2016 Logilab <pylint-dev@lists.logilab.org>
+           2015 - 2016 Florian Bruhin <me@the-compiler.org>
+           2016 Dave Baum <dbaum@google.com>
+           2016 Giuseppe Scrivano <gscrivan@redhat.com>
+           2016 Jakub Wilk <jwilk@jwilk.net>
+           2016 Jared Garst <jgarst@users.noreply.github.com>
+           2016 Mateusz Bysiek <mb@mbdev.pl>
+           2016 Moises Lopez <moylop260@vauxoo.com>
+           2011, 2013 - 2015 Google, Inc.
+           2015 David Shea <dshea@redhat.com>
+           2015 Dmitry Pribysh <dmand@yandex.ru>
+           2015 Philip Lorenz <philip@bithub.de>
+           2015 Ovidiu Sabou <ovidiu@sabou.org>
+           2015 Radosław Ganczarek <radoslaw@ganczarek.in>
+           2015 raylu <lurayl@gmail.com>
+           2015 Rene Zhang <rz99@cornell.edu>
+           2014 Alexander Presnyakov <flagist0@gmail.com>
+           2014 BioGeek <jeroen.vangoey@gmail.com>
+           2014 Cole Robinson <crobinso@redhat.com>
+           2014 Denis Laxalde <denis.laxalde@logilab.fr>
+           2014 Eevee (Alex Munroe) <amunroe@yelp.com>
+           2014 Jeff Quast <contact@jeffquast.com>
+           2013 AndroWiiid <androwiiid@gmail.com>
+           2013 Phil Schaf <flying-sheep@web.de>
+           2012 FELD Boris <lothiraldan@gmail.com>
+           2010 Daniel Harding <dharding@gmail.com>
+           2007 Marien Zwart <marienz@gentoo.org>
 License: LGPL-2.1+
 
 Files: debian/*
 Copyright: 2014-2018 Sandro Tosi <morph@debian.org>
+           2018 Pierre-Elliott Bécue <becue@crans.org>
 License: LGPL-2.1+
 
-Files: astroid/brain/brain_uuid.py
-Copyright: Copyright (c) 2017 Claudiu Popa <pcmanticore@gmail.com>
-License: LGPL-2.1+
-
-Files: astroid/tests/unittest_brain.py
-Copyright: Copyright 2013 Google Inc. All Rights Reserved.
-License: LGPL-2.1+
-
-Files: astroid/tests/unittest_brain_numpy.py
-Copyright: Copyright (c) 2017 Guillaume Peillex <guillaume.peillex@gmail.com>
-License: LGPL-2.1+
-
-Files: astroid/tests/testdata/python{2,3}/data/SSL1/Connection1.py
+Files: astroid/tests/testdata/python*/data/SSL1/Connection1.py
 Copyright: Copyright (c) 1999-2004 Ng Pheng Siong. All rights reserved.
+License: MIT
 
 License: LGPL-2.1+
  astroid is free software: you can redistribute it and/or modify it
@@ -41,3 +82,20 @@
  .
  On Debian systems, the complete text of the GNU Lesser General Public
  License version 2.1 can be found in "/usr/share/common-licenses/LGPL-2.1".
+
+License: MIT
+ Permission to use, copy, modify, and distribute this software and its
+ documentation for any purpose and without fee is hereby granted, provided that
+ the above copyright notice appear in all copies and that both that copyright
+ notice and this permission notice appear in supporting documentation.
+ .
+ THE AUTHOR PROVIDES THIS SOFTWARE "AS IS" AND ANY EXPRESSED OR IMPLIED
+ WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+ MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+ EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+ PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+ BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+ IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+ POSSIBILITY OF SUCH DAMAGE.
diff -Nru astroid-1.6.5/debian/patches/series astroid-2.0/debian/patches/series
--- astroid-1.6.5/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
+++ astroid-2.0/debian/patches/series	2018-07-17 16:43:55.000000000 +0200
@@ -0,0 +1 @@
+0001-Removes-the-setup_requires-entry-in-setup.py-will-be.patch
diff -Nru astroid-1.6.5/MANIFEST.in astroid-2.0/MANIFEST.in
--- astroid-1.6.5/MANIFEST.in	2018-06-06 16:59:26.000000000 +0200
+++ astroid-2.0/MANIFEST.in	2018-07-03 09:02:20.000000000 +0200
@@ -1,7 +1,7 @@
 include ChangeLog
-include README
+include README.rst
 include COPYING
 include COPYING.LESSER
-include tox.ini
-recursive-include astroid/tests/testdata *.py *.zip *.egg
+include pytest.ini
+recursive-include astroid/tests *.py *.zip *.egg *.pth
 recursive-include astroid/brain *.py
diff -Nru astroid-1.6.5/pytest.ini astroid-2.0/pytest.ini
--- astroid-1.6.5/pytest.ini	1970-01-01 01:00:00.000000000 +0100
+++ astroid-2.0/pytest.ini	2018-07-03 09:02:21.000000000 +0200
@@ -0,0 +1,3 @@
+[pytest]
+python_files=*test_*.py
+addopts=-m "not acceptance"
diff -Nru astroid-1.6.5/setup.cfg astroid-2.0/setup.cfg
--- astroid-1.6.5/setup.cfg	2018-06-06 17:07:55.000000000 +0200
+++ astroid-2.0/setup.cfg	2018-07-15 09:27:19.000000000 +0200
@@ -1,8 +1,7 @@
-[wheel]
-universal = 1
+[aliases]
+test = pytest
 
 [tool:pytest]
-python_files = unittest_* test_*.py
 testpaths = astroid/tests
 
 [egg_info]
